#
# Specfile for lineakd, the Linux Easy-Access-Key Daemon
#

Name:           lineakd
Version:        0.9
Release:        5%{?dist}
Summary:        Linux support for Easy Access and Multimedia keyboards

Group:          User Interface/Desktops
License:        GPL
URL:            http://lineak.sourceforge.net

################################################################################

Source:         http://dl.sourceforge.net/lineak/%{name}-%{version}.tar.gz
Patch:          install_dirs.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

################################################################################

BuildRequires:      libXext-devel
BuildRequires:      libxkbfile-devel
BuildRequires:      libXt-devel
BuildRequires:      libXtst-devel

Requires(post):     /sbin/ldconfig
Requires(postun):   /sbin/ldconfig

################################################################################

%description
Lineakd is a daemon that can be programmed to watch for events from easy-access
and multimedia keys on recent keyboards.  It can respond to the events by
running programs, sending events to existing programs, changing the volume,
etc.

################################################################################

%package        devel
Group:          Development/Libraries
Summary:        Development files for lineakd
Requires:       %{name} = %{version}-%{release}
Requires:       libX11-devel
Requires:       libXext-devel

%description    devel
This package contains the header files and libraries for developing plugins
for lineakd.

################################################################################

%prep

%setup -q
%patch

################################################################################

%build

%configure

# Fix a busted makefile
sed -i -e 's# \$(mandir)# $(DESTDIR)$(mandir)#' utils/Makefile

make %{?_smp_mflags}

################################################################################

%install

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove the libtool archive files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

################################################################################

%clean

rm -rf $RPM_BUILD_ROOT

################################################################################

%post

/sbin/ldconfig

################################################################################

%postun

/sbin/ldconfig

################################################################################

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_mandir}/man[^3]/*
%ifarch i386 i486 i586 i686 x86_64 arm alpha
%{_sbindir}/*
%endif

################################################################################

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so

################################################################################

%changelog

* Fri Sep  8 2006   Chris Petersen <rpm@forevermore.net>                  0.9-5
- Rebuild for FC6 glibc update

* Fri May 26 2006   Chris Petersen <rpm@forevermore.net>                  0.9-4
- Add BR: libXtst-devel

* Thu May 25 2006   Chris Petersen <rpm@forevermore.net>                  0.9-1
- Preliminary build for 0.9
- New patch because some of the installation paths are broken

* Tue May 23 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-5
- Add some Requires to the -devel package so plugins don't need to each BuildRequire them

* Sun May 21 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-4
- Add ppc_fix.patch to make this build properly on ppc arch
- Make %{_sbindir}/* conditional on the buildarch

* Fri May 20 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-3
- Fix post and postun Requires
- Remove the duplicate documentation from -devel after all

* Fri May 20 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-2
- Fix download link to point to direct download
- Add libXext-devel and libXt-devel build requirements
- Add some documentation to the -devel package to keep rpmlint happy and make sure the headers get the GPL text

* Thu May 11 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-1
- Update spec to match fedora guidelines

* Mon Mar 14 2005   Chris Petersen <rpm@forevermore.net>                0.8.3-1
- Update for 0.8.3
- Add sbin directory (which contains send_to_keyboard) to the list of files to install

* Wed Sep 15 2004   Chris Petersen <rpm@forevermore.net>
- Rework how files are picked
- Create a -devel package

* Tue Mar 9  2004   Chris Petersen <rpm@forevermore.net>
- Updated spec file to a better template that should work with redhat and mandrake

